%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pyzmq

Name: python%{python_suffix}-%{pypi_name}
Version: 22.1.0
Release: 1
License: BSD-3-Clause
Summary: Python bindings for libzmq
Url: https://github.com/zeromq/pyzmq

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

BuildRequires: libzmq-devel

%description
Python bindings for ØMQ.

ØMQ is a lightweight and fast messaging implementation.

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/pyzmq*
%{python_sitelib}/zmq*

%changelog
* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 22.1.0
- Port to Python 3.9
- Use macros from python-rpm-macros
- Update to 22.1.0 to work on Python 3.9

* Fri Aug 02 2019 Kevin Adler <kadler@us.ibm.com>
- Initial package
